/*
* This Source Code Form is subject to the terms of the Mozilla Public
* License, v. 2.0. If a copy of the MPL was not distributed with this file,
* You can obtain one at http://mozilla.org/MPL/2.0/.
*
* Copyright (c) 2020, Krunoslav Velfel, kvelfel <at> gmail <dot> com
*/
import java.util.Scanner;

public class Test {
	public static void main(String [] args) {
		Tabla tabla = new Tabla(Tabla.igrac.IKS);

		Scanner in = new Scanner(System.in);

		Tabla.rezultat rezultat;
		
		do {
			rezultat = tabla.potez(in.nextInt(), in.nextInt());
		} while(rezultat == Tabla.rezultat.IGRA_U_TOKU);
		
		if(rezultat != Tabla.rezultat.NERIJESENO) {
			System.out.printf("Pobijedio je ");
			
			if(rezultat == Tabla.rezultat.POBIJEDIO_IKS) {
				System.out.println("IKS");
			} else {
				System.out.println("OKS");
			}
		} else {
			System.out.println("Neriješeno!");
		}
		
		in.close();
	}
}